MILKYTRACKER(1)

NAME
milkytracker, milkycli - music creation tool inspired by Fast Tracker 2

SYNOPSIS
milkytracker [options] [input]
milkycli [options] [input]

DESCRIPTION
milkytracker is a multi-platform music application for creating .MOD and .XM module files. It attempts to recreate the module replay and user experience of the popular DOS program FastTracker II, with special playback modes available for improved Amiga ProTracker 2/3 compatibility.

The program can be used both interactively through its graphical interface or in headless mode for converting module files to wave files.

milkycli is a minimal version of milkytracker for that only allows conversion options and implies the the -headless option.

OPTIONS

  General

-headless
    Run in headless mode without graphical interface (conversion only).

-help
    Show a summary of options.

-recvelocity
    Enable recording velocity for MIDI input devices.

-verbose
    Enable verbose output.

  Display

-bpp BPP
    Set bits per pixel for display output.

-fullscreen
    Run in fullscreen mode.

-nosplash
    Do not show the splash screen.

-orientation ORIENTATION
    Set display orientation. Valid values are NORMAL, ROTATE90CCW, ROTATE90CW.

-swap
    Swaps the red and blue values in 24 BPP mode.

  Conversion

-multi-track
    Export each track to a separate WAV file. Files are named output_01.wav, output_02.wav, etc. Silent tracks are automatically removed.

-output FILE
    Specify output file name when using headless mode.

-resampler TYPE
    Set resampler type (default: from settings or 4)

-sample-rate RATE
    Set sample rate in Hz (default: from settings or 44100)

-shift SHIFT
    Set mixer shift value (default: from settings or 1)

-volume LEVEL
    Set mixer volume level (default: from settings or 256)

SEE ALSO
goattracker(1), BambooTracker(1), hivelytracker(1), protracker(1), ccutter(1), ocp(1), modplug123(1), schismtracker(1).

AUTHOR
milkytracker was written by Peter Barth.

This manual page was written by Gürkan Myczko <gurkan@phys.ethz.ch> and James Cowgill <jcowgill@debian.org> for the Debian project (but may be used by others).